View Issue Details

IDProjectCategoryView StatusLast Update
13490Bug reports[All Projects] Survey designpublic2018-06-15 14:27
ReporterjeloAssigned ToLouisGac 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.3.x 
Target VersionFixed in Version 
Summary13490: GID placeholderfield missing sometimes
DescriptionBased on the bugreport 13230, I was told to open a new one.

GID seems to be only shown in the first question of a group. After that the GID is empty.
I used the example survey of bugreport 13230.
Tonis already mentioned the issue of this bugreport here
https://bugs.limesurvey.org/view.php?id=13230#c46379

Steps To ReproduceJust run attached survey. Preview or activated. Same result as shown in the attached screenshot.
Additional Informationhttps://www.limesurvey.org/forum/development/114104-how-to-reopen-bugticket-13230-is-marked-as-fix-comments-show-otherwise#165494
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.3
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionN/A
Operating System (Server)N/A
Webserver software & versionN/A
PHP VersionN/A

Relationships

child of 13574 closedLouisGac Some placeholders no longer available in 3.x 

Activities

jelo

jelo

2018-03-16 14:56

updater  

limesurvey_survey_337469.lss (26,028 bytes)
20180316.GroupID.PNG (14,822 bytes)
20180316.GroupID.PNG (14,822 bytes)
TonisOrmisson

TonisOrmisson

2018-03-19 17:44

developer   ~47128

https://bugs.limesurvey.org/view.php?id=13230

same issue, the ticket was closed but issue was not resolved
TonisOrmisson

TonisOrmisson

2018-03-19 17:46

developer   ~47129

oh well, obviously you already saw that ;)
jelo

jelo

2018-03-21 15:29

updater   ~47153

Hi Tonis, I wanted to open your ticket again. But I was advised to open a new ticket. So I used your survey to bring the bug back into the game. Good to see you here again.
ollehar1

ollehar1

2018-03-22 15:50

reporter   ~47189

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26836
olle

olle

2018-03-26 10:00

administrator   ~47209

Is this resolved?
DenisChenu

DenisChenu

2018-03-26 10:48

developer   ~47214

If i remind : when testing , i see it was not fixed after commit
olle

olle

2018-05-16 14:29

administrator   ~47651

Status?
Deusdeorum

Deusdeorum

2018-05-29 10:57

developer  

red-qid.png (38,213 bytes)
red-qid.png (38,213 bytes)
Deusdeorum

Deusdeorum

2018-05-29 10:57

developer   ~47892

While helping out in #limesurvey I found out about this bug as well. Not fixed in 3.7.3. Also, if you put {QID} in a question and save it and go back to the information about the question {QID} will be red and with "Undefined variable" as tooltip. Probably not related but ye..
LouisGac

LouisGac

2018-05-29 11:12

manager   ~47893

See:
https://bugs.limesurvey.org/view.php?id=13574
LouisGac

LouisGac

2018-05-30 11:50

manager   ~47914

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27273
c_schmitz

c_schmitz

2018-06-15 14:27

administrator   ~48152

New version released.

Related Changesets

LimeSurvey: master f1957a37

2018-03-22 15:50:13

ShnoulleT


Committer: ollehar1 Details Diff
beforeQuestionRender Class + attributes (#1022)

* Fixed issue 13510: beforeQuestionRender didn't include Class
Dev: this one seems really needed … adding a class by plugin is needed
Dev: but can not remove included function in old twig file

* Dev: remove deprecated function
Dev: getQuestionReplacement NEED question qanda, currently return only empty replacement
Dev: didn't fix 13490

* New feature 13511: Allow new attribute in beforeQuestionRender
Dev: previously exist but undocumented
Dev: replace of QUESTION_ESSENTIALS
mod - application/core/LS_Twig_Extension.php Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/replacements_helper.php Diff File
mod - themes/survey/vanilla/views/subviews/survey/question_container.twig Diff File

LimeSurvey: master 540cad99

2018-05-30 11:50:23

LouisGac

Details Diff
Fixed issue 13490: GID placeholderfield missing sometimes
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2018-03-16 14:56 jelo New Issue
2018-03-16 14:56 jelo File Added: limesurvey_survey_337469.lss
2018-03-16 14:56 jelo File Added: 20180316.GroupID.PNG
2018-03-19 17:44 TonisOrmisson Note Added: 47128
2018-03-19 17:46 TonisOrmisson Note Added: 47129
2018-03-21 15:29 jelo Note Added: 47153
2018-03-22 15:50 ollehar1 Changeset attached => LimeSurvey master f1957a37
2018-03-22 15:50 ollehar1 Note Added: 47189
2018-03-22 15:50 ollehar1 Assigned To => ollehar1
2018-03-22 15:50 ollehar1 Resolution open => fixed
2018-03-26 10:00 olle Note Added: 47209
2018-03-26 10:01 olle Assigned To ollehar1 =>
2018-03-26 10:01 olle Status new => feedback
2018-03-26 10:48 DenisChenu Note Added: 47214
2018-05-16 13:41 LouisGac Assigned To => olle
2018-05-16 13:41 LouisGac Status feedback => assigned
2018-05-16 14:29 olle Note Added: 47651
2018-05-22 11:47 olle Status assigned => feedback
2018-05-29 10:54 olle Assigned To olle =>
2018-05-29 10:54 olle Status feedback => new
2018-05-29 10:57 Deusdeorum File Added: red-qid.png
2018-05-29 10:57 Deusdeorum Note Added: 47892
2018-05-29 11:12 LouisGac Note Added: 47893
2018-05-29 11:12 LouisGac Relationship added child of 13574
2018-05-30 11:50 LouisGac Changeset attached => LimeSurvey master 540cad99
2018-05-30 11:50 LouisGac Note Added: 47914
2018-05-30 11:50 LouisGac Assigned To => LouisGac
2018-05-30 11:50 LouisGac Status new => resolved
2018-06-15 14:27 c_schmitz Note Added: 48152
2018-06-15 14:27 c_schmitz Status resolved => closed